import request from '@/utils/request'

// 查询个体吊销信息列表
export function listRecord(query) {
  return request({
    url: '/basicData/xcrPersonalRevokeRecord/findByPage',
    method: 'get',
    params: query
  })
}

// 查询个体吊销信息详细
export function getRecord(xhCodeId) {
  return request({
    url: '/basicData/xcrPersonalRevokeRecord/' + xhCodeId,
    method: 'get'
  })
}

// 新增个体吊销信息
export function addRecord(data) {
  return request({
    url: '/basicData/xcrPersonalRevokeRecord',
    method: 'post',
    data: data
  })
}

// 修改个体吊销信息
export function updateRecord(data) {
  return request({
    url: '/basicData/xcrPersonalRevokeRecord',
    method: 'put',
    data: data
  })
}

// 删除个体吊销信息
export function delRecord(xhCodeId) {
  return request({
    url: '/basicData/xcrPersonalRevokeRecord/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delRecordBatch(ids) {
  return request.post('/basicData/xcrPersonalRevokeRecord/delete',ids)
}
